<?php
/*
 * Plugin Name: CoolIris-Piclens
 * Version: 2.7.a
 * Description: Cooliris/Piclens activation
 * Plugin URI: http://piwigo.org/ext/extension_view.php?eid=234
 * Author: Tiico
 * Author URI: 
 * */
/********* Fichier main.inc.php  *********/

/* See CHANGELOG for release informations */

 
if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');
 
define('PICLENS_NAME', 'Cooliris/Piclens');
define('PICLENS_ROOT', dirname(__FILE__));
define('PICLENS_DIR' , basename(dirname(__FILE__)));
define('PICLENS_CFG_FILE' , PICLENS_ROOT.'/'.PICLENS_DIR.'.dat');
define('PICLENS_CFG_FILE_OLD' , PICLENS_ROOT.'/data.dat');		// ancien fichier de config (version <= 0.2.5)
define('PICLENS_CFG_FILE1' , PHPWG_PLUGINS_PATH.PICLENS_DIR.'.dat');
define('PICLENS_CFG_DB' , PICLENS_DIR);
define('PICLENS_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/');
define('PICLENS_INC_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/include/');
define('PICLENS_IMG_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/img/');
define('PICLENS_ADMIN_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/admin/');

load_language('plugin.lang', PICLENS_PATH);

include_once PICLENS_INC_PATH.'Piclens.class.php';

$obj = new Piclens();
$obj->load_config();


add_event_handler('loc_end_page_header', array(&$obj, 'piclens_link' ));
add_event_handler('loc_end_index', array(&$obj, 'add_piclens_icon'));
add_event_handler('loc_end_index' , array(&$obj, 'piclenswall'));
add_event_handler('loc_end_index', array(&$obj, 'piclens_thumbnails'));
add_event_handler('loc_begin_index', array(&$obj, 'set_make_full_url_piclens'));

add_event_handler('get_stuffs_modules', array(&$obj, 'piclens_stuffs_module'));
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'piclens_admin_menu') );
set_plugin_data($plugin['id'], $obj);


?>
